<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/SymbolLookup/Scope.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/SymbolLookup/Scope.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/SymbolLookup/Scope.hh</h1><div><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="Symbol.hh.html" >Synopsis/SymbolLookup/Symbol.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::SymbolLookup</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/InternalError.html" >InternalError</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" >Scope</a>
<div class="doc"><p>A Scope contains symbol definitions.</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >ScopeVisitor</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::SymbolLookup::InternalError</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/InternalError.html#my_what" >my_what</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::SymbolLookup::MultiplyDefined</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#declaration" >declaration</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#name" >name</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#original" >original</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::SymbolLookup::Scope</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#DECLARATION" >DECLARATION</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#DEFAULT" >DEFAULT</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#ELABORATE" >ELABORATE</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#SCOPE" >SCOPE</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#USING" >USING</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#my_refcount" >my_refcount</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#my_scopes" >my_scopes</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#my_symbols" >my_symbols</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::SymbolLookup::TypeError</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/TypeError.html#name" >name</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/TypeError.html#type" >type</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::SymbolLookup::Undefined</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Undefined.html#name" >name</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Undefined.html#ptree" >ptree</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::InternalError</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/InternalError.html#InternalError_lconst.std_mstring_A_r" >InternalError&#40;const&#160;std::string&amp;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::MultiplyDefined</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#MultiplyDefined_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cconst.PTree_mNode_S_r" >MultiplyDefined&#40;const&#160;PTree::Encoding&amp;&#44;const&#160;PTree::Node*&#44;const&#160;PTree::Node*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::Scope</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#accept_lScopeVisitor_S_r" >accept&#40;ScopeVisitor*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#declare_lconst.PTree_mEncoding_A_cconst.Symbol_S_r" >declare&#40;const&#160;PTree::Encoding&amp;&#44;const&#160;Symbol*&#41;</a>
<div class="doc"><p>declare the given symbol in the local scope
using the given encoded name.</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#declare_scope_lconst.PTree_mNode_S_cScope_S_r" >declare_scope&#40;const&#160;PTree::Node*&#44;Scope*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#find_lconst.PTree_mEncoding_A_cLookupContext_rconst" >find&#40;const&#160;PTree::Encoding&amp;&#44;LookupContext&#41;const</a>
<div class="doc"><p>find the encoded name declared in this scope and
return a set of matching symbols.</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#find_scope_lconst.PTree_mNode_S_rconst" >find_scope&#40;const&#160;PTree::Node*&#41;const</a>
<div class="doc"><p>find a nested scope by declaration</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#remove_lconst.Symbol_S_r" >remove&#40;const&#160;Symbol*&#41;</a>
<div class="doc"><p>Remove the given symbol from the scope.</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#use_lconst.PTree_mUsingDirective_S_r" >use&#40;const&#160;PTree::UsingDirective*&#41;</a>
<div class="doc"><p>declare a 'using' directive.</p>
</div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::TypeError</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/TypeError.html#TypeError_lconst.PTree_mEncoding_A_cconst.PTree_mEncoding_A_r" >TypeError&#40;const&#160;PTree::Encoding&amp;&#44;const&#160;PTree::Encoding&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/TypeError.html#_tTypeError_l_r" >~TypeError&#40;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::Undefined</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Undefined.html#Undefined_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_r" >Undefined&#40;const&#160;PTree::Encoding&amp;&#44;const&#160;PTree::Node*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Structs in Synopsis::SymbolLookup</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html" >MultiplyDefined</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/TypeError.html" >TypeError</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Undefined.html" >Undefined</a>
<div class="doc"></div></div>

</div>
<div><h3>Typedefs in Synopsis::SymbolLookup::Scope</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#LookupContext" >LookupContext</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#ScopeTable" >ScopeTable</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#SymbolTable" >SymbolTable</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#scope_iterator" >scope_iterator</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#symbol_iterator" >symbol_iterator</a>
<div class="doc"></div></div>

</div>
<div><h3>Typedefs in Synopsis::SymbolLookup</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup.html#SymbolSet" >SymbolSet</a>
<div class="doc"></div></div>
</div>

</body>
</html>
